SPAWNVEX(3)

NAME
spawnvex - process spawn with process file and resource control

SYNOPSIS

DESCRIPTION
combines the fork(2) control child attributes and file descriptors and exec(2) sequence into a single call.

and are as in execve(2). controls the new process group and session:

The new process becomes a session leader.
    is called in the child context.

The new process is in the callers process group.

The new process becomes a process group leader.

The new process joins the process group
    pgid.

COMMENTS
It is possible to code all process creation using The proc(3) routines and ksh(1) do this on systems that don't support fork(2).

SEE ALSO
fork(2), exec(2), spawnve(2)